Bug 256748 - net-im/openfire: Update to 4.6.4
Summary: net-im/openfire: Update to 4.6.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Neel Chauhan
URL: http://download.igniterealtime.org/op...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-06-21 15:07 UTC by Nikita Druba
Modified: 2021-06-28 15:42 UTC (History)
4 users (show)

See Also:


Attachments
git diff for net-im/openfire (2.70 KB, patch)
2021-06-21 15:07 UTC, Nikita Druba
nikita: maintainer-approval-
Details | Diff
git diff for net-im/openfire (corrected) (2.71 KB, patch)
2021-06-21 19:48 UTC, Nikita Druba
nikita: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nikita Druba 2021-06-21 15:07:25 UTC
Created attachment 225965 [details]
git diff for net-im/openfire

Releaser of openfire do a mistake and place new version of sources under old name. Because of this I was change Makefile to download sources from git tags instead of release. 
Therefore name of archive now v4.6.4.tar.gz instead of openfire_src_4_6_4.tar.gz
Is this replacement acceptable? Or what would you advise otherwise?

Changelog:
http://download.igniterealtime.org/openfire/docs/4.6.4/changelog.html

P.S. For this port needed to upload to some server archive with local maven repository:
https://cloud.druba.su/s/LeK2Kt76RTjCR3o/download/FreeBSD-openfire-4.6.4-maven-repository.tar.gz
Comment 1 Nikita Druba 2021-06-21 15:09:59 UTC
Openfire release link: 
https://github.com/igniterealtime/Openfire/releases
Comment 2 Kurt Jaeger freebsd_committer 2021-06-21 18:44:18 UTC
please note that your version of the distinfo file misses the TIMESTAMP entry.

To be more exact:

The patch for distinfo has

1624266366

and should probably have

TIMESTAMP = 1624266366
Comment 3 Nikita Druba 2021-06-21 19:46:26 UTC
(In reply to Kurt Jaeger from comment #2)
Sorry, I generates all update by my script and probably something goes wrong...

Now, I uploaded new diff version. 

What about src name?
Comment 4 Nikita Druba 2021-06-21 19:48:12 UTC
Created attachment 225976 [details]
git diff for net-im/openfire (corrected)
Comment 5 Neel Chauhan freebsd_committer 2021-06-26 06:16:56 UTC
Comment on attachment 225965 [details]
git diff for net-im/openfire

Set old patch as obsolete.
Comment 6 commit-hook freebsd_committer 2021-06-26 06:24:47 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=3968e59f6c62174afa7f526544d902f2b507d0bb

commit 3968e59f6c62174afa7f526544d902f2b507d0bb
Author:     Nikita Druba <nikita@druba.su>
AuthorDate: 2021-06-26 06:23:40 +0000
Commit:     Neel Chauhan <nc@FreeBSD.org>
CommitDate: 2021-06-26 06:23:40 +0000

    net-im/openfire: Update to 4.6.4

    PR:     256748

 net-im/openfire/Makefile  |  7 +++----
 net-im/openfire/distinfo  | 10 +++++-----
 net-im/openfire/pkg-plist |  6 +++---
 3 files changed, 11 insertions(+), 12 deletions(-)
Comment 7 Neel Chauhan freebsd_committer 2021-06-26 06:32:34 UTC
Committed!
Comment 8 Daniel Engberg 2021-06-26 10:28:40 UTC
Hi,

This patch utilizes MASTER_SITES incorrectly

A port should _never_ only have version in its file name as this will potential clash with other ports (hopefully not as this naming convention is a really bad idea) and it's also close to impossible to figure out where the tarball comes from unless you inspect it manually.

You should use upstreams bug tracker to report this tarball naming issue https://igniterealtime.atlassian.net/browse/OF

Either revert this update until upstream fixes the issue or submit a patch that makes use of USE_GITHUB instead of MASTER_SITES
https://docs.freebsd.org/en/books/porters-handbook/book/#makefile-master_sites-github-description

Best regards,
Daniel
Comment 9 Neel Chauhan freebsd_committer 2021-06-26 18:32:56 UTC
Thanks for reporting this, Daniel!

I was committing this from the plane (well, with SSH into my desktop at home), with (obvious) high latency.
Comment 10 commit-hook freebsd_committer 2021-06-26 18:33:44 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=138948297672f43af0fa75647288abc84602385d

commit 138948297672f43af0fa75647288abc84602385d
Author:     Neel Chauhan <nc@FreeBSD.org>
AuthorDate: 2021-06-26 18:31:06 +0000
Commit:     Neel Chauhan <nc@FreeBSD.org>
CommitDate: 2021-06-26 18:33:09 +0000

    net-im/openfire: Switch to USE_GITHUB

    PR:             256748
    Reported by:    Daniel Engberg <daniel.engberg.lists AT pyret DOT net>

 net-im/openfire/Makefile | 8 ++++----
 net-im/openfire/distinfo | 8 +++-----
 2 files changed, 7 insertions(+), 9 deletions(-)
Comment 11 Nikita Druba 2021-06-28 15:42:20 UTC
(In reply to commit-hook from comment #10)
Wonderfull!

Do you understand that with this commit you oblige the user to download the sources during the build process, and not before?